package com.supervision.util;

import com.supervision.domain.UserDetail;
import com.supervision.exception.UnauthorizedException;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContext;
import org.springframework.security.core.context.SecurityContextHolder;

public class UserUtil {

    public static UserDetail currentUser() {
        SecurityContext context = SecurityContextHolder.getContext();
        if (null == context) {
            throw new UnauthorizedException("未登录或登录已过期，请重新登录");
        }
        Authentication authentication = context.getAuthentication();
        Object principal = authentication.getPrincipal();
        if ("anonymousUser".equals(principal)) {
            throw new UnauthorizedException("未登录或登录已过期，请重新登录");
        }
        return (UserDetail) authentication.getPrincipal();
    }
}
